# This file created by conda-build 3.8.1
# meta.yaml template originally from:
# C:\ci\containers\00003u648nm\tmp\build\80754af9\rsync-recipes\mysql-connector-c-6.1.11-cxx_compiler_vs2008-c_compiler_vs2008-on-winbuilder, last modified Thu Apr 19 04:38:26 2018
# ------------------------------------------------

package:
    name: mysql-connector-c
    version: 6.1.11
source:
    fn: mysql-connector-c-6.1.11.zip
    patches:
        - 0001-Add-definition-for-lldiv_t.patch
        - 0001-CPPFLAGS-can-have-more-than-one-compiler-definition.patch
        - 0002-GCC-7-Fix-empty-string-comparison-error.patch
    sha256: 44d7c9be33b148a7391c5e1690b4788de3ced3e79084f3a2787d103bd12cd495
    url: https://dev.mysql.com/get/Downloads/Connector-C/mysql-connector-c-6.1.11-src.zip
build:
    number: '0'
    run_exports:
        - mysql-connector-c >=6.1.11,<6.1.12.0a0
    string: ha0faaed_0
requirements:
    build:
        - cmake 3.9.4 h4b83b1b_0
        - make 3.82 0
        - vs2008_win-64 9.00.30729.1 hb7fc0b5_1
    host:
        - msinttypes r26 h7e1a5f4_2
        - vc 9 h7299396_1
        - vs2008_runtime 9.00.30729.1 hfaea7d5_1
    run:
        - vc 9.*
test:
    commands:
        - my_print_defaults --version
about:
    description: 'Connector/C is a client library that implements the C API for

        client/server communication. It is a standalone replacement for

        the MySQL client library shipped with MySQL Server distributions.

        '
    home: https://dev.mysql.com/downloads/connector/c/
    license: LGPL
    license_family: LGPL
    license_file: COPYING
    summary: MySQL Connector/C, the C interface for communicating with MySQL servers.
extra:
    copy_test_source_files: true
    final: true
    recipe-maintainers:
        - druvus
